uk.gov.hmrc.ct.accounts.approval.retriever

# CoHoAccountsApprovalBoxRetriever

###
Related Doc: package retriever

#### trait CoHoAccountsApprovalBoxRetriever extends AccountsBoxRetriever

Self Type
  CoHoAccountsApprovalBoxRetriever with FilingAttributesBoxValueRetriever

Linear Supertypes
AccountsBoxRetriever, BoxRetriever, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CoHoAccountsApprovalBoxRetriever
2. AccountsBoxRetriever
3. BoxRetriever
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def ac1(): AC1

   Definition Classes
     AccountsBoxRetriever

2. #### abstract def ac12(): AC12

   Definition Classes
     AccountsBoxRetriever

3. #### abstract def ac2(): AC2

   Definition Classes
     AccountsBoxRetriever

4. #### abstract def ac205(): AC205

   Definition Classes
     AccountsBoxRetriever

5. #### abstract def ac206(): AC206

   Definition Classes
     AccountsBoxRetriever

6. #### abstract def ac3(): AC3

   Definition Classes
     AccountsBoxRetriever

7. #### abstract def ac4(): AC4

   Definition Classes
     AccountsBoxRetriever

8. #### abstract def companiesHouseAccountsApproval(): CompaniesHouseAccountsApproval

9. #### abstract def companyAddress(): CompanyAddress

   Definition Classes
     AccountsBoxRetriever

10. #### abstract def generateValues: Map[String, CtValue[_]]

    Definition Classes
      BoxRetriever

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]

    Definition Classes
      BoxRetriever

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AccountsBoxRetriever

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped